declare const _default: import('vue').DefineComponent<
  {
    'x': {
      type: import('vue').PropType<number>
      required: true
    }
    'y': {
      type: import('vue').PropType<number>
      required: true
    }
    'label': {
      type: import('vue').PropType<
        | string
        | {
            component: any
            props?: any
          }
      >
    }
    'labelStyle': {
      type: import('vue').PropType<import('vue').CSSProperties>
    } & {
      default: () => {}
    }
    'labelShowBg': {
      type: import('vue').PropType<boolean>
    } & {
      default: boolean
    }
    'labelBgStyle': {
      type: import('vue').PropType<import('vue').CSSProperties>
    } & {
      default: () => {}
    }
    'labelBgPadding': {
      type: import('vue').PropType<[number, number]>
    } & {
      default: () => number[]
    }
    'labelBgBorderRadius': {
      type: import('vue').PropType<number>
    } & {
      default: number
    }
    'innerHTML': {
      type: import('vue').PropType<string>
    }
    'class': {
      type: import('vue').PropType<any>
    }
    'style': {
      type: import('vue').PropType<import('vue').StyleValue>
    }
    'accesskey': {
      type: import('vue').PropType<string>
    }
    'contenteditable': {
      type: import('vue').PropType<'inherit' | (boolean | 'true' | 'false')>
    }
    'contextmenu': {
      type: import('vue').PropType<string>
    }
    'dir': {
      type: import('vue').PropType<string>
    }
    'draggable': {
      type: import('vue').PropType<boolean | 'true' | 'false'>
    }
    'hidden': {
      type: import('vue').PropType<boolean | 'true' | 'false'>
    }
    'id': {
      type: import('vue').PropType<string>
    }
    'lang': {
      type: import('vue').PropType<string>
    }
    'placeholder': {
      type: import('vue').PropType<string>
    }
    'spellcheck': {
      type: import('vue').PropType<boolean | 'true' | 'false'>
    }
    'tabindex': {
      type: import('vue').PropType<string | number>
    }
    'title': {
      type: import('vue').PropType<string>
    }
    'translate': {
      type: import('vue').PropType<'yes' | 'no'>
    }
    'radiogroup': {
      type: import('vue').PropType<string>
    }
    'role': {
      type: import('vue').PropType<string>
    }
    'about': {
      type: import('vue').PropType<string>
    }
    'datatype': {
      type: import('vue').PropType<string>
    }
    'inlist': {
      type: import('vue').PropType<any>
    }
    'prefix': {
      type: import('vue').PropType<string>
    }
    'property': {
      type: import('vue').PropType<string>
    }
    'resource': {
      type: import('vue').PropType<string>
    }
    'typeof': {
      type: import('vue').PropType<string>
    }
    'vocab': {
      type: import('vue').PropType<string>
    }
    'autocapitalize': {
      type: import('vue').PropType<string>
    }
    'autocorrect': {
      type: import('vue').PropType<string>
    }
    'autocave': {
      type: import('vue').PropType<string>
    }
    'color': {
      type: import('vue').PropType<string>
    }
    'itemprop': {
      type: import('vue').PropType<string>
    }
    'itemscope': {
      type: import('vue').PropType<boolean | 'true' | 'false'>
    }
    'itemtype': {
      type: import('vue').PropType<string>
    }
    'itemid': {
      type: import('vue').PropType<string>
    }
    'itemref': {
      type: import('vue').PropType<string>
    }
    'results': {
      type: import('vue').PropType<string | number>
    }
    'security': {
      type: import('vue').PropType<string>
    }
    'unselectable': {
      type: import('vue').PropType<'on' | 'off'>
    }
    'inputmode': {
      type: import('vue').PropType<'search' | 'none' | 'text' | 'tel' | 'url' | 'email' | 'numeric' | 'decimal'>
    }
    'is': {
      type: import('vue').PropType<string>
    }
    'aria-activedescendant': {
      type: import('vue').PropType<string>
    }
    'aria-atomic': {
      type: import('vue').PropType<boolean | 'true' | 'false'>
    }
    'aria-autocomplete': {
      type: import('vue').PropType<'none' | 'inline' | 'list' | 'both'>
    }
    'aria-busy': {
      type: import('vue').PropType<boolean | 'true' | 'false'>
    }
    'aria-checked': {
      type: import('vue').PropType<(boolean | 'true' | 'false') | 'mixed'>
    }
    'aria-colcount': {
      type: import('vue').PropType<string | number>
    }
    'aria-colindex': {
      type: import('vue').PropType<string | number>
    }
    'aria-colspan': {
      type: import('vue').PropType<string | number>
    }
    'aria-controls': {
      type: import('vue').PropType<string>
    }
    'aria-current': {
      type: import('vue').PropType<'step' | (boolean | 'true' | 'false') | 'page' | 'location' | 'date' | 'time'>
    }
    'aria-describedby': {
      type: import('vue').PropType<string>
    }
    'aria-details': {
      type: import('vue').PropType<string>
    }
    'aria-disabled': {
      type: import('vue').PropType<boolean | 'true' | 'false'>
    }
    'aria-dropeffect': {
      type: import('vue').PropType<'move' | 'link' | 'none' | 'copy' | 'execute' | 'popup'>
    }
    'aria-errormessage': {
      type: import('vue').PropType<string>
    }
    'aria-expanded': {
      type: import('vue').PropType<boolean | 'true' | 'false'>
    }
    'aria-flowto': {
      type: import('vue').PropType<string>
    }
    'aria-grabbed': {
      type: import('vue').PropType<boolean | 'true' | 'false'>
    }
    'aria-haspopup': {
      type: import('vue').PropType<(boolean | 'true' | 'false') | 'menu' | 'listbox' | 'tree' | 'grid' | 'dialog'>
    }
    'aria-hidden': {
      type: import('vue').PropType<boolean | 'true' | 'false'>
    }
    'aria-invalid': {
      type: import('vue').PropType<(boolean | 'true' | 'false') | 'grammar' | 'spelling'>
    }
    'aria-keyshortcuts': {
      type: import('vue').PropType<string>
    }
    'aria-label': {
      type: import('vue').PropType<string>
    }
    'aria-labelledby': {
      type: import('vue').PropType<string>
    }
    'aria-level': {
      type: import('vue').PropType<string | number>
    }
    'aria-live': {
      type: import('vue').PropType<'off' | 'assertive' | 'polite'>
    }
    'aria-modal': {
      type: import('vue').PropType<boolean | 'true' | 'false'>
    }
    'aria-multiline': {
      type: import('vue').PropType<boolean | 'true' | 'false'>
    }
    'aria-multiselectable': {
      type: import('vue').PropType<boolean | 'true' | 'false'>
    }
    'aria-orientation': {
      type: import('vue').PropType<'horizontal' | 'vertical'>
    }
    'aria-owns': {
      type: import('vue').PropType<string>
    }
    'aria-placeholder': {
      type: import('vue').PropType<string>
    }
    'aria-posinset': {
      type: import('vue').PropType<string | number>
    }
    'aria-pressed': {
      type: import('vue').PropType<(boolean | 'true' | 'false') | 'mixed'>
    }
    'aria-readonly': {
      type: import('vue').PropType<boolean | 'true' | 'false'>
    }
    'aria-relevant': {
      type: import('vue').PropType<'text' | 'additions' | 'additions text' | 'all' | 'removals'>
    }
    'aria-required': {
      type: import('vue').PropType<boolean | 'true' | 'false'>
    }
    'aria-roledescription': {
      type: import('vue').PropType<string>
    }
    'aria-rowcount': {
      type: import('vue').PropType<string | number>
    }
    'aria-rowindex': {
      type: import('vue').PropType<string | number>
    }
    'aria-rowspan': {
      type: import('vue').PropType<string | number>
    }
    'aria-selected': {
      type: import('vue').PropType<boolean | 'true' | 'false'>
    }
    'aria-setsize': {
      type: import('vue').PropType<string | number>
    }
    'aria-sort': {
      type: import('vue').PropType<'none' | 'ascending' | 'descending' | 'other'>
    }
    'aria-valuemax': {
      type: import('vue').PropType<string | number>
    }
    'aria-valuemin': {
      type: import('vue').PropType<string | number>
    }
    'aria-valuenow': {
      type: import('vue').PropType<string | number>
    }
    'aria-valuetext': {
      type: import('vue').PropType<string>
    }
    'onCopy': {
      type: import('vue').PropType<(payload: ClipboardEvent) => void>
    }
    'onCut': {
      type: import('vue').PropType<(payload: ClipboardEvent) => void>
    }
    'onPaste': {
      type: import('vue').PropType<(payload: ClipboardEvent) => void>
    }
    'onCompositionend': {
      type: import('vue').PropType<(payload: CompositionEvent) => void>
    }
    'onCompositionstart': {
      type: import('vue').PropType<(payload: CompositionEvent) => void>
    }
    'onCompositionupdate': {
      type: import('vue').PropType<(payload: CompositionEvent) => void>
    }
    'onDrag': {
      type: import('vue').PropType<(payload: DragEvent) => void>
    }
    'onDragend': {
      type: import('vue').PropType<(payload: DragEvent) => void>
    }
    'onDragenter': {
      type: import('vue').PropType<(payload: DragEvent) => void>
    }
    'onDragexit': {
      type: import('vue').PropType<(payload: DragEvent) => void>
    }
    'onDragleave': {
      type: import('vue').PropType<(payload: DragEvent) => void>
    }
    'onDragover': {
      type: import('vue').PropType<(payload: DragEvent) => void>
    }
    'onDragstart': {
      type: import('vue').PropType<(payload: DragEvent) => void>
    }
    'onDrop': {
      type: import('vue').PropType<(payload: DragEvent) => void>
    }
    'onFocus': {
      type: import('vue').PropType<(payload: FocusEvent) => void>
    }
    'onFocusin': {
      type: import('vue').PropType<(payload: FocusEvent) => void>
    }
    'onFocusout': {
      type: import('vue').PropType<(payload: FocusEvent) => void>
    }
    'onBlur': {
      type: import('vue').PropType<(payload: FocusEvent) => void>
    }
    'onChange': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onBeforeinput': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onInput': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onReset': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onSubmit': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onInvalid': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onLoad': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onError': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onKeydown': {
      type: import('vue').PropType<(payload: KeyboardEvent) => void>
    }
    'onKeypress': {
      type: import('vue').PropType<(payload: KeyboardEvent) => void>
    }
    'onKeyup': {
      type: import('vue').PropType<(payload: KeyboardEvent) => void>
    }
    'onAuxclick': {
      type: import('vue').PropType<(payload: MouseEvent) => void>
    }
    'onClick': {
      type: import('vue').PropType<(payload: MouseEvent) => void>
    }
    'onContextmenu': {
      type: import('vue').PropType<(payload: MouseEvent) => void>
    }
    'onDblclick': {
      type: import('vue').PropType<(payload: MouseEvent) => void>
    }
    'onMousedown': {
      type: import('vue').PropType<(payload: MouseEvent) => void>
    }
    'onMouseenter': {
      type: import('vue').PropType<(payload: MouseEvent) => void>
    }
    'onMouseleave': {
      type: import('vue').PropType<(payload: MouseEvent) => void>
    }
    'onMousemove': {
      type: import('vue').PropType<(payload: MouseEvent) => void>
    }
    'onMouseout': {
      type: import('vue').PropType<(payload: MouseEvent) => void>
    }
    'onMouseover': {
      type: import('vue').PropType<(payload: MouseEvent) => void>
    }
    'onMouseup': {
      type: import('vue').PropType<(payload: MouseEvent) => void>
    }
    'onAbort': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onCanplay': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onCanplaythrough': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onDurationchange': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onEmptied': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onEncrypted': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onEnded': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onLoadeddata': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onLoadedmetadata': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onLoadstart': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onPause': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onPlay': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onPlaying': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onProgress': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onRatechange': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onSeeked': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onSeeking': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onStalled': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onSuspend': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onTimeupdate': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onVolumechange': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onWaiting': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onSelect': {
      type: import('vue').PropType<(payload: Event) => void>
    }
    'onScroll': {
      type: import('vue').PropType<(payload: UIEvent) => void>
    }
    'onTouchcancel': {
      type: import('vue').PropType<(payload: TouchEvent) => void>
    }
    'onTouchend': {
      type: import('vue').PropType<(payload: TouchEvent) => void>
    }
    'onTouchmove': {
      type: import('vue').PropType<(payload: TouchEvent) => void>
    }
    'onTouchstart': {
      type: import('vue').PropType<(payload: TouchEvent) => void>
    }
    'onPointerdown': {
      type: import('vue').PropType<(payload: PointerEvent) => void>
    }
    'onPointermove': {
      type: import('vue').PropType<(payload: PointerEvent) => void>
    }
    'onPointerup': {
      type: import('vue').PropType<(payload: PointerEvent) => void>
    }
    'onPointercancel': {
      type: import('vue').PropType<(payload: PointerEvent) => void>
    }
    'onPointerenter': {
      type: import('vue').PropType<(payload: PointerEvent) => void>
    }
    'onPointerleave': {
      type: import('vue').PropType<(payload: PointerEvent) => void>
    }
    'onPointerover': {
      type: import('vue').PropType<(payload: PointerEvent) => void>
    }
    'onPointerout': {
      type: import('vue').PropType<(payload: PointerEvent) => void>
    }
    'onWheel': {
      type: import('vue').PropType<(payload: WheelEvent) => void>
    }
    'onAnimationstart': {
      type: import('vue').PropType<(payload: AnimationEvent) => void>
    }
    'onAnimationend': {
      type: import('vue').PropType<(payload: AnimationEvent) => void>
    }
    'onAnimationiteration': {
      type: import('vue').PropType<(payload: AnimationEvent) => void>
    }
    'onTransitionend': {
      type: import('vue').PropType<(payload: TransitionEvent) => void>
    }
    'onTransitionstart': {
      type: import('vue').PropType<(payload: TransitionEvent) => void>
    }
  },
  () => void,
  unknown,
  {},
  {},
  import('vue').ComponentOptionsMixin,
  import('vue').ComponentOptionsMixin,
  Record<string, any>,
  string,
  import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps,
  Readonly<
    import('vue').ExtractPropTypes<{
      'x': {
        type: import('vue').PropType<number>
        required: true
      }
      'y': {
        type: import('vue').PropType<number>
        required: true
      }
      'label': {
        type: import('vue').PropType<
          | string
          | {
              component: any
              props?: any
            }
        >
      }
      'labelStyle': {
        type: import('vue').PropType<import('vue').CSSProperties>
      } & {
        default: () => {}
      }
      'labelShowBg': {
        type: import('vue').PropType<boolean>
      } & {
        default: boolean
      }
      'labelBgStyle': {
        type: import('vue').PropType<import('vue').CSSProperties>
      } & {
        default: () => {}
      }
      'labelBgPadding': {
        type: import('vue').PropType<[number, number]>
      } & {
        default: () => number[]
      }
      'labelBgBorderRadius': {
        type: import('vue').PropType<number>
      } & {
        default: number
      }
      'innerHTML': {
        type: import('vue').PropType<string>
      }
      'class': {
        type: import('vue').PropType<any>
      }
      'style': {
        type: import('vue').PropType<import('vue').StyleValue>
      }
      'accesskey': {
        type: import('vue').PropType<string>
      }
      'contenteditable': {
        type: import('vue').PropType<'inherit' | (boolean | 'true' | 'false')>
      }
      'contextmenu': {
        type: import('vue').PropType<string>
      }
      'dir': {
        type: import('vue').PropType<string>
      }
      'draggable': {
        type: import('vue').PropType<boolean | 'true' | 'false'>
      }
      'hidden': {
        type: import('vue').PropType<boolean | 'true' | 'false'>
      }
      'id': {
        type: import('vue').PropType<string>
      }
      'lang': {
        type: import('vue').PropType<string>
      }
      'placeholder': {
        type: import('vue').PropType<string>
      }
      'spellcheck': {
        type: import('vue').PropType<boolean | 'true' | 'false'>
      }
      'tabindex': {
        type: import('vue').PropType<string | number>
      }
      'title': {
        type: import('vue').PropType<string>
      }
      'translate': {
        type: import('vue').PropType<'yes' | 'no'>
      }
      'radiogroup': {
        type: import('vue').PropType<string>
      }
      'role': {
        type: import('vue').PropType<string>
      }
      'about': {
        type: import('vue').PropType<string>
      }
      'datatype': {
        type: import('vue').PropType<string>
      }
      'inlist': {
        type: import('vue').PropType<any>
      }
      'prefix': {
        type: import('vue').PropType<string>
      }
      'property': {
        type: import('vue').PropType<string>
      }
      'resource': {
        type: import('vue').PropType<string>
      }
      'typeof': {
        type: import('vue').PropType<string>
      }
      'vocab': {
        type: import('vue').PropType<string>
      }
      'autocapitalize': {
        type: import('vue').PropType<string>
      }
      'autocorrect': {
        type: import('vue').PropType<string>
      }
      'autocave': {
        type: import('vue').PropType<string>
      }
      'color': {
        type: import('vue').PropType<string>
      }
      'itemprop': {
        type: import('vue').PropType<string>
      }
      'itemscope': {
        type: import('vue').PropType<boolean | 'true' | 'false'>
      }
      'itemtype': {
        type: import('vue').PropType<string>
      }
      'itemid': {
        type: import('vue').PropType<string>
      }
      'itemref': {
        type: import('vue').PropType<string>
      }
      'results': {
        type: import('vue').PropType<string | number>
      }
      'security': {
        type: import('vue').PropType<string>
      }
      'unselectable': {
        type: import('vue').PropType<'on' | 'off'>
      }
      'inputmode': {
        type: import('vue').PropType<'search' | 'none' | 'text' | 'tel' | 'url' | 'email' | 'numeric' | 'decimal'>
      }
      'is': {
        type: import('vue').PropType<string>
      }
      'aria-activedescendant': {
        type: import('vue').PropType<string>
      }
      'aria-atomic': {
        type: import('vue').PropType<boolean | 'true' | 'false'>
      }
      'aria-autocomplete': {
        type: import('vue').PropType<'none' | 'inline' | 'list' | 'both'>
      }
      'aria-busy': {
        type: import('vue').PropType<boolean | 'true' | 'false'>
      }
      'aria-checked': {
        type: import('vue').PropType<(boolean | 'true' | 'false') | 'mixed'>
      }
      'aria-colcount': {
        type: import('vue').PropType<string | number>
      }
      'aria-colindex': {
        type: import('vue').PropType<string | number>
      }
      'aria-colspan': {
        type: import('vue').PropType<string | number>
      }
      'aria-controls': {
        type: import('vue').PropType<string>
      }
      'aria-current': {
        type: import('vue').PropType<'step' | (boolean | 'true' | 'false') | 'page' | 'location' | 'date' | 'time'>
      }
      'aria-describedby': {
        type: import('vue').PropType<string>
      }
      'aria-details': {
        type: import('vue').PropType<string>
      }
      'aria-disabled': {
        type: import('vue').PropType<boolean | 'true' | 'false'>
      }
      'aria-dropeffect': {
        type: import('vue').PropType<'move' | 'link' | 'none' | 'copy' | 'execute' | 'popup'>
      }
      'aria-errormessage': {
        type: import('vue').PropType<string>
      }
      'aria-expanded': {
        type: import('vue').PropType<boolean | 'true' | 'false'>
      }
      'aria-flowto': {
        type: import('vue').PropType<string>
      }
      'aria-grabbed': {
        type: import('vue').PropType<boolean | 'true' | 'false'>
      }
      'aria-haspopup': {
        type: import('vue').PropType<(boolean | 'true' | 'false') | 'menu' | 'listbox' | 'tree' | 'grid' | 'dialog'>
      }
      'aria-hidden': {
        type: import('vue').PropType<boolean | 'true' | 'false'>
      }
      'aria-invalid': {
        type: import('vue').PropType<(boolean | 'true' | 'false') | 'grammar' | 'spelling'>
      }
      'aria-keyshortcuts': {
        type: import('vue').PropType<string>
      }
      'aria-label': {
        type: import('vue').PropType<string>
      }
      'aria-labelledby': {
        type: import('vue').PropType<string>
      }
      'aria-level': {
        type: import('vue').PropType<string | number>
      }
      'aria-live': {
        type: import('vue').PropType<'off' | 'assertive' | 'polite'>
      }
      'aria-modal': {
        type: import('vue').PropType<boolean | 'true' | 'false'>
      }
      'aria-multiline': {
        type: import('vue').PropType<boolean | 'true' | 'false'>
      }
      'aria-multiselectable': {
        type: import('vue').PropType<boolean | 'true' | 'false'>
      }
      'aria-orientation': {
        type: import('vue').PropType<'horizontal' | 'vertical'>
      }
      'aria-owns': {
        type: import('vue').PropType<string>
      }
      'aria-placeholder': {
        type: import('vue').PropType<string>
      }
      'aria-posinset': {
        type: import('vue').PropType<string | number>
      }
      'aria-pressed': {
        type: import('vue').PropType<(boolean | 'true' | 'false') | 'mixed'>
      }
      'aria-readonly': {
        type: import('vue').PropType<boolean | 'true' | 'false'>
      }
      'aria-relevant': {
        type: import('vue').PropType<'text' | 'additions' | 'additions text' | 'all' | 'removals'>
      }
      'aria-required': {
        type: import('vue').PropType<boolean | 'true' | 'false'>
      }
      'aria-roledescription': {
        type: import('vue').PropType<string>
      }
      'aria-rowcount': {
        type: import('vue').PropType<string | number>
      }
      'aria-rowindex': {
        type: import('vue').PropType<string | number>
      }
      'aria-rowspan': {
        type: import('vue').PropType<string | number>
      }
      'aria-selected': {
        type: import('vue').PropType<boolean | 'true' | 'false'>
      }
      'aria-setsize': {
        type: import('vue').PropType<string | number>
      }
      'aria-sort': {
        type: import('vue').PropType<'none' | 'ascending' | 'descending' | 'other'>
      }
      'aria-valuemax': {
        type: import('vue').PropType<string | number>
      }
      'aria-valuemin': {
        type: import('vue').PropType<string | number>
      }
      'aria-valuenow': {
        type: import('vue').PropType<string | number>
      }
      'aria-valuetext': {
        type: import('vue').PropType<string>
      }
      'onCopy': {
        type: import('vue').PropType<(payload: ClipboardEvent) => void>
      }
      'onCut': {
        type: import('vue').PropType<(payload: ClipboardEvent) => void>
      }
      'onPaste': {
        type: import('vue').PropType<(payload: ClipboardEvent) => void>
      }
      'onCompositionend': {
        type: import('vue').PropType<(payload: CompositionEvent) => void>
      }
      'onCompositionstart': {
        type: import('vue').PropType<(payload: CompositionEvent) => void>
      }
      'onCompositionupdate': {
        type: import('vue').PropType<(payload: CompositionEvent) => void>
      }
      'onDrag': {
        type: import('vue').PropType<(payload: DragEvent) => void>
      }
      'onDragend': {
        type: import('vue').PropType<(payload: DragEvent) => void>
      }
      'onDragenter': {
        type: import('vue').PropType<(payload: DragEvent) => void>
      }
      'onDragexit': {
        type: import('vue').PropType<(payload: DragEvent) => void>
      }
      'onDragleave': {
        type: import('vue').PropType<(payload: DragEvent) => void>
      }
      'onDragover': {
        type: import('vue').PropType<(payload: DragEvent) => void>
      }
      'onDragstart': {
        type: import('vue').PropType<(payload: DragEvent) => void>
      }
      'onDrop': {
        type: import('vue').PropType<(payload: DragEvent) => void>
      }
      'onFocus': {
        type: import('vue').PropType<(payload: FocusEvent) => void>
      }
      'onFocusin': {
        type: import('vue').PropType<(payload: FocusEvent) => void>
      }
      'onFocusout': {
        type: import('vue').PropType<(payload: FocusEvent) => void>
      }
      'onBlur': {
        type: import('vue').PropType<(payload: FocusEvent) => void>
      }
      'onChange': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onBeforeinput': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onInput': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onReset': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onSubmit': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onInvalid': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onLoad': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onError': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onKeydown': {
        type: import('vue').PropType<(payload: KeyboardEvent) => void>
      }
      'onKeypress': {
        type: import('vue').PropType<(payload: KeyboardEvent) => void>
      }
      'onKeyup': {
        type: import('vue').PropType<(payload: KeyboardEvent) => void>
      }
      'onAuxclick': {
        type: import('vue').PropType<(payload: MouseEvent) => void>
      }
      'onClick': {
        type: import('vue').PropType<(payload: MouseEvent) => void>
      }
      'onContextmenu': {
        type: import('vue').PropType<(payload: MouseEvent) => void>
      }
      'onDblclick': {
        type: import('vue').PropType<(payload: MouseEvent) => void>
      }
      'onMousedown': {
        type: import('vue').PropType<(payload: MouseEvent) => void>
      }
      'onMouseenter': {
        type: import('vue').PropType<(payload: MouseEvent) => void>
      }
      'onMouseleave': {
        type: import('vue').PropType<(payload: MouseEvent) => void>
      }
      'onMousemove': {
        type: import('vue').PropType<(payload: MouseEvent) => void>
      }
      'onMouseout': {
        type: import('vue').PropType<(payload: MouseEvent) => void>
      }
      'onMouseover': {
        type: import('vue').PropType<(payload: MouseEvent) => void>
      }
      'onMouseup': {
        type: import('vue').PropType<(payload: MouseEvent) => void>
      }
      'onAbort': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onCanplay': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onCanplaythrough': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onDurationchange': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onEmptied': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onEncrypted': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onEnded': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onLoadeddata': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onLoadedmetadata': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onLoadstart': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onPause': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onPlay': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onPlaying': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onProgress': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onRatechange': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onSeeked': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onSeeking': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onStalled': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onSuspend': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onTimeupdate': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onVolumechange': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onWaiting': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onSelect': {
        type: import('vue').PropType<(payload: Event) => void>
      }
      'onScroll': {
        type: import('vue').PropType<(payload: UIEvent) => void>
      }
      'onTouchcancel': {
        type: import('vue').PropType<(payload: TouchEvent) => void>
      }
      'onTouchend': {
        type: import('vue').PropType<(payload: TouchEvent) => void>
      }
      'onTouchmove': {
        type: import('vue').PropType<(payload: TouchEvent) => void>
      }
      'onTouchstart': {
        type: import('vue').PropType<(payload: TouchEvent) => void>
      }
      'onPointerdown': {
        type: import('vue').PropType<(payload: PointerEvent) => void>
      }
      'onPointermove': {
        type: import('vue').PropType<(payload: PointerEvent) => void>
      }
      'onPointerup': {
        type: import('vue').PropType<(payload: PointerEvent) => void>
      }
      'onPointercancel': {
        type: import('vue').PropType<(payload: PointerEvent) => void>
      }
      'onPointerenter': {
        type: import('vue').PropType<(payload: PointerEvent) => void>
      }
      'onPointerleave': {
        type: import('vue').PropType<(payload: PointerEvent) => void>
      }
      'onPointerover': {
        type: import('vue').PropType<(payload: PointerEvent) => void>
      }
      'onPointerout': {
        type: import('vue').PropType<(payload: PointerEvent) => void>
      }
      'onWheel': {
        type: import('vue').PropType<(payload: WheelEvent) => void>
      }
      'onAnimationstart': {
        type: import('vue').PropType<(payload: AnimationEvent) => void>
      }
      'onAnimationend': {
        type: import('vue').PropType<(payload: AnimationEvent) => void>
      }
      'onAnimationiteration': {
        type: import('vue').PropType<(payload: AnimationEvent) => void>
      }
      'onTransitionend': {
        type: import('vue').PropType<(payload: TransitionEvent) => void>
      }
      'onTransitionstart': {
        type: import('vue').PropType<(payload: TransitionEvent) => void>
      }
    }>
  >,
  {
    labelStyle: import('vue').CSSProperties
    labelShowBg: boolean
    labelBgStyle: import('vue').CSSProperties
    labelBgPadding: [number, number]
    labelBgBorderRadius: number
  }
>
export default _default
